/**
 * Copyright (c) 2008-2023, MOVES Institute, Naval Postgraduate School (NPS). All rights reserved.
 * This work is provided under a BSD-style open-source license, see project
 * <a href="https://savage.nps.edu/opendis7-java/license.html" target="_blank">license.html</a> and <a href="https://savage.nps.edu/opendis7-java/license.txt" target="_blank">license.txt</a>
 */
// header autogenerated using string template dis7javalicense.txt

// autogenerated using string template entitytypecommon.txt

package edu.nps.moves.dis7.entities.usa.platform.land;

import edu.nps.moves.dis7.pdus.*;
import edu.nps.moves.dis7.enumerations.*;

/**
 * <p> Entity class <b><code>AAIRapidDeploymentForceLightTankRDFLTCombinedArmsTeamLightweightCombatVehicleCATLCV</code></b> collects multiple enumeration values together to uniquely define this entity. </p>
 * <p> <i>Usage:</i> create an instance of this class with <code>AAIRapidDeploymentForceLightTankRDFLTCombinedArmsTeamLightweightCombatVehicleCATLCV.createInstance()</code> or <code>new AAIRapidDeploymentForceLightTankRDFLTCombinedArmsTeamLightweightCombatVehicleCATLCV()</code>. </p>
 * <ul>
 *     <li> Country: United States of America (USA) = <code>225</code>; </li>
 *     <li> Entity kind: PlatformDomain = <code>LAND</code>; </li>
 *     <li> Domain: Platform = <code>1</code>; </li>
 *     <li> Category: Tank = <code>1</code>; </li>
 *     <li> SubCategory: AAIRapidDeploymentForceLightTankRDFLTCombinedArmsTeamLightweightCombatVehicleCATLCV  = <code>9</code>; </li>
 *     <li> Specific: null <code>(none)</code>; </li>
 *     <li> Entity type uid: 10063; </li>
 *     <li> Online document reference: <a href="https://gitlab.nps.edu/Savage/NetworkedGraphicsMV3500/-/blob/master/specifications/README.md" target="_blank">SISO-REF-010-v33 (2024-05-29)</a>. </li>
 * </ul>
 * <p> Full name: edu.nps.moves.dis7.source.generator.entityTypes.GenerateEntityTypes$SubCategoryElem@4d464510. </p>
 * @see Country#UNITED_STATES_OF_AMERICA_USA
 * @see EntityKind#PLATFORM
 * @see Domain
 * @see PlatformDomain
 * @see Category
 * @see Tank
 * @see SubCategory

 */
public final class AAIRapidDeploymentForceLightTankRDFLTCombinedArmsTeamLightweightCombatVehicleCATLCV extends EntityType
{
    /** Default constructor */
    public AAIRapidDeploymentForceLightTankRDFLTCombinedArmsTeamLightweightCombatVehicleCATLCV()
    {
        setCountry(Country.UNITED_STATES_OF_AMERICA_USA);
        setEntityKind(EntityKind.PLATFORM);
        setDomain(Domain.inst(PlatformDomain.LAND));

        setCategory((byte)1); // uid 10018, Tank
        setSubCategory((byte)9); // uid 10063, AAI Rapid Deployment Force Light Tank (RDF/LT) Combined Arms Team/Lightweight Combat Vehicle (CAT/LCV)
    }
    /** Create a new instance of this final (unmodifiable) class
      * @return copy of class for use as data */
    public static AAIRapidDeploymentForceLightTankRDFLTCombinedArmsTeamLightweightCombatVehicleCATLCV createInstance()
    {
            return new AAIRapidDeploymentForceLightTankRDFLTCombinedArmsTeamLightweightCombatVehicleCATLCV();
    }
}
