/**
 * Copyright (c) 2008-2023, MOVES Institute, Naval Postgraduate School (NPS). All rights reserved.
 * This work is provided under a BSD-style open-source license, see project
 * <a href="https://savage.nps.edu/opendis7-java/license.html" target="_blank">license.html</a> and <a href="https://savage.nps.edu/opendis7-java/license.txt" target="_blank">license.txt</a>
 */
// header autogenerated using string template dis7javalicense.txt

// autogenerated using string template entitytypecommon.txt

package edu.nps.moves.dis7.entities.usa.sensoremitter.land;

import edu.nps.moves.dis7.pdus.*;
import edu.nps.moves.dis7.enumerations.*;

/**
 * <p> Entity class <b><code>ANPEQ18InfraredZoomLaserIlluminatorDesignatorIZLID1000P</code></b> collects multiple enumeration values together to uniquely define this entity. </p>
 * <p> <i>Usage:</i> create an instance of this class with <code>ANPEQ18InfraredZoomLaserIlluminatorDesignatorIZLID1000P.createInstance()</code> or <code>new ANPEQ18InfraredZoomLaserIlluminatorDesignatorIZLID1000P()</code>. </p>
 * <ul>
 *     <li> Country: United States of America (USA) = <code>225</code>; </li>
 *     <li> Entity kind: PlatformDomain = <code>LAND</code>; </li>
 *     <li> Domain: Sensor/Emitter = <code>9</code>; </li>
 *     <li> Category: Electro-Optical = <code>5</code>; </li>
 *     <li> SubCategory: GuidanceIllumination  = <code>7</code>; </li>
 *     <li> Specific: ANPEQ18InfraredZoomLaserIlluminatorDesignatorIZLID1000P  = <code>2</code>; </li>
 *     <li> Entity type uid: 32302; </li>
 *     <li> Online document reference: <a href="https://gitlab.nps.edu/Savage/NetworkedGraphicsMV3500/-/blob/master/specifications/README.md" target="_blank">SISO-REF-010-v33 (2024-05-29)</a>. </li>
 * </ul>
 * <p> Full name: edu.nps.moves.dis7.source.generator.entityTypes.GenerateEntityTypes$SpecificElem@7112fa5. </p>
 * @see Country#UNITED_STATES_OF_AMERICA_USA
 * @see EntityKind#SENSOR_EMITTER
 * @see Domain
 * @see PlatformDomain
 * @see Category
 * @see ElectroOptical
 * @see SubCategory

 */
public final class ANPEQ18InfraredZoomLaserIlluminatorDesignatorIZLID1000P extends EntityType
{
    /** Default constructor */
    public ANPEQ18InfraredZoomLaserIlluminatorDesignatorIZLID1000P()
    {
        setCountry(Country.UNITED_STATES_OF_AMERICA_USA);
        setEntityKind(EntityKind.SENSOR_EMITTER);
        setDomain(Domain.inst(PlatformDomain.LAND));

        setCategory((byte)5); // uid 23721, Electro-Optical
        setSubCategory((byte)7); // uid 32300, Guidance/Illumination
        setSpecific((byte)2); // uid 32302, AN/PEQ-18 Infrared Zoom Laser Illuminator Designator (IZLID) 1000P
    }
    /** Create a new instance of this final (unmodifiable) class
      * @return copy of class for use as data */
    public static ANPEQ18InfraredZoomLaserIlluminatorDesignatorIZLID1000P createInstance()
    {
            return new ANPEQ18InfraredZoomLaserIlluminatorDesignatorIZLID1000P();
    }
}
