/**
 * Copyright (c) 2008-2023, MOVES Institute, Naval Postgraduate School (NPS). All rights reserved.
 * This work is provided under a BSD-style open-source license, see project
 * <a href="https://savage.nps.edu/opendis7-java/license.html" target="_blank">license.html</a> and <a href="https://savage.nps.edu/opendis7-java/license.txt" target="_blank">license.txt</a>
 */
// header autogenerated using string template dis7javalicense.txt

// autogenerated using string template disenumpart1.txt

package edu.nps.moves.dis7.enumerations;

import java.nio.ByteBuffer;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;

import edu.nps.moves.dis7.pdus.*;

/**
 * This <code>enum</code> type is generated from XML,
 *  UID 513,
 * marshal size 8;
 * LifeFormHumanSpecificHandGuns has 22 enumerations total.
 * @see <a href="https://docs.oracle.com/javase/tutorial/java/javaOO/enum.html">Java Tutorials: Enum Types</a>
 * @see java.lang.Enum
 */
public enum LifeFormHumanSpecificHandGuns 
{
    // autogenerated using string template disenumfootnotecomment.txt

    /** Other */
    // autogenerated using string template disenumpart2.txt
    OTHER (0, "Other"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 5.45mm PSM */
    // autogenerated using string template disenumpart2.txt
    _545MM_PSM (1, "5.45mm PSM"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 9mm MK3 SLP */
    // autogenerated using string template disenumpart2.txt
    SUPPLEMENTAL_EMISSION_ENTITY_STATE (30, "9mm MK3 SLP"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 9mm Beretta 92S/92FS (M9) */
    // autogenerated using string template disenumpart2.txt
    _9MM_BERETTA_92S_92FS_M9 (31, "9mm Beretta 92S/92FS (M9)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 9mm Handamp;K USP */
    // autogenerated using string template disenumpart2.txt
    _9MM_HAMP_K_USP (32, "9mm H&amp;K USP"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 9mm Stechkin APS */
    // autogenerated using string template disenumpart2.txt
    _9MM_STECHKIN_APS (33, "9mm Stechkin APS"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 9mm Makarov PM */
    // autogenerated using string template disenumpart2.txt
    _9MM_MAKAROV_PM (34, "9mm Makarov PM"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 9mm Smith and Wesson SD (Sigma) */
    // autogenerated using string template disenumpart2.txt
    _9MM_SMITH_AND_WESSON_SD_SIGMA (35, "9mm Smith and Wesson SD (Sigma)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 9mm Glock 17 */
    // autogenerated using string template disenumpart2.txt
    _9MM_GLOCK_17 (36, "9mm Glock 17"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 9mm SIG Sauer M17 */
    // autogenerated using string template disenumpart2.txt
    _9MM_SIG_SAUER_M17 (37, "9mm SIG Sauer M17"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 9mm SIG Pro */
    // autogenerated using string template disenumpart2.txt
    _9MM_SIG_PRO (38, "9mm SIG Pro"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 9mm Smith and Wesson SW1911 */
    // autogenerated using string template disenumpart2.txt
    _9MM_SMITH_AND_WESSON_SW1911 (39, "9mm Smith and Wesson SW1911"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 9mm Smith and Wesson 5900-series */
    // autogenerated using string template disenumpart2.txt
    _9MM_SMITH_AND_WESSON_5900_SERIES (40, "9mm Smith and Wesson 5900-series"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** .45 Cal M1911 */
    // autogenerated using string template disenumpart2.txt
    _45_CAL_M1911 (41, ".45 Cal M1911"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 9mm CZ 75 */
    // autogenerated using string template disenumpart2.txt
    _9MM_CZ_75 (42, "9mm CZ 75"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 9mm CZ 82 */
    // autogenerated using string template disenumpart2.txt
    _9MM_CZ_82 (43, "9mm CZ 82"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 9.07mm Ruger GP 100 */
    // autogenerated using string template disenumpart2.txt
    LIVE_ENTITY_DETONATION (50, "9.07mm Ruger GP 100"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 10mm Glock 20 */
    // autogenerated using string template disenumpart2.txt
    DATA_RELIABLE (60, "10mm Glock 20"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 9mm Fort-12 */
    // autogenerated using string template disenumpart2.txt
    _9MM_FORT_12 (70, "9mm Fort-12"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 9mm Fort-14TP */
    // autogenerated using string template disenumpart2.txt
    _9MM_FORT_14TP (71, "9mm Fort-14TP"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 9mm Fort-17 */
    // autogenerated using string template disenumpart2.txt
    _9MM_FORT_17 (72, "9mm Fort-17"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 9mm Fort-21 */
    // autogenerated using string template disenumpart2.txt
    _9MM_FORT_21 (73, "9mm Fort-21");

    // autogenerated using string template disenumpart25.txt

    private int value;
    private final String description;

    /** Constructor */
    LifeFormHumanSpecificHandGuns(int value, String description)
    {
        this.value = value;
        this.description = description;
    }
    /** Provide enumeration value
      * @return integer value */
    public int getValue()
    {
        return value;
    }

    /** Provide enumeration description
     * @return description
     */
    public String getDescription()
    {
        return description;
    }

    /** bit width for this enumeration
     * @return number of bits wide
     */
    public static int getEnumBitWidth()
    {
      return 8;
    }

    /** 
     * Provide enumeration for a given value
     * @param value integer value of interest
     * @return enumeration corresponding to numeric value
     */
    public static LifeFormHumanSpecificHandGuns getEnumForValue(int value)
    {
       for (LifeFormHumanSpecificHandGuns nextEnum : LifeFormHumanSpecificHandGuns.values())
       {
          if (nextEnum.getValue() == value)
              return nextEnum;
       }
       System.out.flush(); // ensure contiguous console outputs
       System.err.println("No corresponding enumeration found for value " + value + " of enum LifeFormHumanSpecificHandGuns");
       System.err.flush(); // ensure contiguous console outputs
       return null;
    }

    // autogenerated using string template disenumpart3_8.txt

    private boolean TRACE = false;

    /** Set tracing on/off for this object 
     * @param value whether tracing is on or off */
    public void setTRACE (boolean value)
    {
        TRACE = value;
    }

    /** Whether tracing is on or off for this object
     * @return whether tracing is on or off */
    public boolean getTRACE ()
    {
        return TRACE;
    }

    /** Marshal value to DataOutputStream
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param dos DataOutputStream for output
     * @throws IOException input-output error */
    public void marshal(DataOutputStream dos) throws IOException
    {
        dos.writeByte(getValue());
    }
    
    /** Marshal value to ByteBuffer
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param byteBuffer ByteBuffer for output
     * @throws IOException input-output error */
    public void marshal(ByteBuffer byteBuffer) throws Exception
    {
        byteBuffer.put((byte)getValue());
    }

    /** Unmarshal value to DataInputStream
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param dis DataInputStream for input
     * @throws Exception unmarshalling input-output error
     * @return enumeration of interest */
    public static LifeFormHumanSpecificHandGuns unmarshalEnum (DataInputStream dis) throws Exception
    {
       /* try {
            value = dis.readUnsignedByte();
        }
        catch(IOException ex) {
            showError(ex);
        } */
        
        return getEnumForValue(dis.readByte());
    } 

    /** Unmarshal enumeration value to ByteBuffer
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param byteBuffer ByteBuffer for input
     * @throws Exception unmarshalling input-output error
     * @return enumeration of interest */
    public static LifeFormHumanSpecificHandGuns unmarshalEnum(ByteBuffer byteBuffer) throws Exception
    {
        /*
        try {
            value = (int)byteBuffer.get();
        }
        catch(Exception ex) {
            showError(ex);
        }
        */
        return getEnumForValue(byteBuffer.get());
    }

  /**
   * Returns size of this serialized (marshalled) object in bytes
   * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
   * @return serialized size in bytes
   */
    public int getMarshalledSize()
    {
        return 1; // 8 bits
    }
  /**
   * Provide name
   * @return  name
   */
    public String getName()
    {
        return name();
    }

    
  /**
   * Provide simple identifier
   * @return class name, value and name
   */
    @Override
    public String toString()
    {
        String padding = new String();
        if (this.getClass().getName().endsWith("DisPduType") && (getValue() < 10))
            padding = "0"; // leading zero for column spacing
        String result = this.getClass().getSimpleName() + " " + padding + getValue() + " " + name();
        if (getTRACE())
            System.out.println ("*** enum " + this.getClass().getSimpleName() + " name=" + name() + ", value=" + getValue() + "; " +
               result); // debug diagnostic
        return result;
    }
}
